aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc.sysinit
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/rc.sysinit')
-rwxr-xr-xrc.d/rc.sysinit11
1 files changed, 6 insertions, 5 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 080d6246..56b9810a 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -23,10 +23,6 @@ fi
. /etc/init.d/functions
-# Start the graphical boot, if necessary
-if ! fgrep -q nogui /proc/cmdline && [ "$BOOTUP" = "color" -a "$GRAPHICAL" = "yes" -a -x /usr/bin/rhgb ]; then
- /usr/bin/rhgb
-fi
if [ "$HOSTTYPE" != "s390" -a "$HOSTTYPE" != "s390x" ]; then
last=0
@@ -75,9 +71,14 @@ if [ -n "$LOGLEVEL" ]; then
fi
# Mount /proc (done here so volume labels can work with fsck)
-update_boot_stage RCproc
+#update_boot_stage RCproc
action $"Mounting proc filesystem: " mount -n -t proc /proc /proc
+# Start the graphical boot, if necessary
+if ! fgrep -q nogui /proc/cmdline && [ "$BOOTUP" = "color" -a "$GRAPHICAL" = "yes" -a -x /usr/bin/rhgb ]; then
+ /usr/bin/rhgb
+fi
+
# Unmount the initrd, if necessary
if LC_ALL=C grep -q /initrd /proc/mounts && ! LC_ALL=C grep -q /initrd/loopfs /proc/mounts ; then
if [ -e /initrd/dev/.devfsd ]; then